Subject: unusual bee rescue behavior

From: patricia world <[email-masked]>
Date: Sun, 1 Sep 96 01:51:18 -0500

Hi, has anyone else observed a bumble bee picking up and flying off with
a dead bee lying on the patio?  I killed a yellow bumble bee about my leg,
it fell down on the patio, shortly after, another yellow bee came about,
inspected the dead bee and then picked it up and flew away with it.  \